Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SceneRenderRequest Class Reference

`#include <SceneRenderRequest.h>`

Inheritance diagram for SceneRenderRequest:

## Public Member Functions
| SceneRenderRequest ()
| ~SceneRenderRequest ()
SceneRenderRequest * | set (SceneRenderObject *pSceneRenderObject, const Vector2 &worldPosition, const F32 depth, const Vector2 &sortPoint=Vector2::getZero(), const S32 serialId=0, StringTableEntry renderGroup=StringTable->EmptyString, void *pCustomData1=NULL, void *pCustomData2=NULL, S32 customDataKey1=0, S32 customDataKey2=0)
| Sets mandatory configuration. More...
virtual void | resetState (void)
| Reset request state. More...

## Public Attributes
SceneRenderObject * | mpSceneRenderObject
Vector2 | mWorldPosition
F32 | mDepth
Vector2 | mSortPoint
S32 | mSerialId
StringTableEntry | mRenderGroup
bool | mBlendMode
GLenum | mSrcBlendFactor
GLenum | mDstBlendFactor
ColorF | mBlendColor
F32 | mAlphaTest
void * | mpCustomData1
void * | mpCustomData2
S32 | mCustomDataKey1
S32 | mCustomDataKey2
SceneRenderQueue * | mpIsolatedRenderQueue

## Constructor & Destructor Documentation

SceneRenderRequest | ( |  | ) |
| inline

~SceneRenderRequest | ( |  | ) |
| inline

## Member Function Documentation

virtual void resetState | ( | void |  | ) |
| inline virtual

Reset request state.

Implements IFactoryObjectReset.

SceneRenderRequest* set | ( | SceneRenderObject * | pSceneRenderObject,
|  | const Vector2 & | worldPosition,
|  | const F32 | depth,
|  | const Vector2 & | sortPoint = `Vector2::getZero()`,
|  | const S32 | serialId = `0`,
|  | StringTableEntry | renderGroup = `StringTable->EmptyString`,
|  | void * | pCustomData1 = `NULL`,
|  | void * | pCustomData2 = `NULL`,
|  | S32 | customDataKey1 = `0`,
|  | S32 | customDataKey2 = `0`
| ) |  |
| inline

Sets mandatory configuration.

## Member Data Documentation

F32 mAlphaTest

ColorF mBlendColor

bool mBlendMode

S32 mCustomDataKey1

S32 mCustomDataKey2

F32 mDepth

GLenum mDstBlendFactor

void* mpCustomData1

void* mpCustomData2

SceneRenderQueue* mpIsolatedRenderQueue

SceneRenderObject* mpSceneRenderObject

StringTableEntry mRenderGroup

S32 mSerialId

Vector2 mSortPoint

GLenum mSrcBlendFactor

Vector2 mWorldPosition

The documentation for this class was generated from the following file:

- 2d/scene/SceneRenderRequest.h